RIFF(1)

NAME
riff - Diff filter highlighting changed line parts

SYNOPSIS
diff ... | riff [options...]
riff [-b] [-w] [options...] <FD1> <FD2>
riff [-b] [-w] [options...] --file <FILE>

  Arguments:
[FD1]: First file or directory to compare
[FD2]: Second file or directory to compare

DESCRIPTION
Colors diff output, highlighting the changed parts of every line.

  Git integration:
git config --global pager.diff riff
git config --global pager.show riff
git config --global pager.log riff
git config --global interactive.diffFilter "riff --color=on"

OPTIONS

-f, --file <FILE>

    Read diff or patch file

-b, --ignore-space-change

    Ignore changes in amount of whitespace

-w, --ignore-all-space

    Ignore all whitespace

--no-pager

    Don't page the result

--no-adds-only-special

    No effect, replaced by --unchanged-style

--unchanged-style <UNCHANGED_STYLE>

    How will unchanged line parts be styled?

    Possible values:
    - yellow: Unchanged text is yellow, old unchanged is faint
    - red-green: Legacy mode

--color <COLOR>

    Possible values:
    - on
    - off
    - auto: Color if stdout is a terminal

-h, --help

    Print help (see a summary with '-h')

-V, --version

    Print version

REPORTING BUGS
Report issues at <https://github.com/walles/riff>.

COPYRIGHT
Copyright (c) 2021 Johan Walles <johan.walles@gmail.com>